// index.js
import ttappid from '../../../project.tt.json'
Page({
  data: {
    videoUrl: '',
    promotion_img:''
  },
  onLoad (options) {
    console.log(options, 'pages');
    this.setData({
      videoUrl: options.videoUrl,
      promotion_img:options.promotion_img
    })
    console.log(this.data.videoUrl, 'videoUrl');
  },
  // onUploadDouyinVideo 和 onLoad 等其他钩子同级
  async onUploadDouyinVideo (uploadOptions) {
    // 通过 uploadOptions 可以拿到 button target 上的一些信息
    // 如这里的 demo 可以拿到 id: "1"，hello: "world"
    console.log("onUploadDouyinVideoOptions: ", uploadOptions);

    // 可以利用异步能力配合其他 API 获取必要的字段信息
    const videoPath = this.data.videoUrl;
    console.log("videoPath:", videoPath);
    // 返回值（文档中称之为 uploadParams）将被当作发布参数传入视频发布器，发布视频
    return {
      videoPath,
      extra: {
        anchor: {
          anchorType: "app",
          title: "【点击测试】AI绘画小程序",
          path: "/moduleB/pages/comicActivityCurrent/index?style_id=37&c=tta3fed5433cc1e78401&s=05061053770",
        },
      },
      success: function (callback) {
        // 只有当发布成功且挂载成功时，success callback 才会有 videoId
        console.log("success: ", callback);
      },
      fail: function (callback) {
        console.log("fail: ", callback);
      },
      complete: function (callback) {
        console.log("complete: ", callback);
      },
    };
  },
  toPromotion () {
    console.log('当前小程序的 AppID 实例为：', ttappid.appid);
    tt.navigateToMiniProgram({
      appId: "ttf31985a46c214faf",
      path: `subPackage/subApp/appDetail/index?appId=${ttappid.appid}`,
      extraData: {

      },
      success: function () {
        console.log('跳转成功');
      },
      fail: function (e) {
        console.log(e, '失败');
      },
    });
  },
  navigateBack () {
    tt.navigateBack({
      delta: 1,
      success (res) {
        console.log('success执行了', res);
      },
      fail (err) {
        console.log('fail执行了', err);
        tt.showModal({
          title: "返回上一页失败",
          content: "第一个页面不能 navigate back",
          showCancel: false
        });
      },
      complete (res) {
        console.log('complete执行了', res);
      }
    });
  },
});